/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.item.selector.criteria;

import com.liferay.item.selector.ItemSelectorReturnType;

/**
 * This return type should return the following information of a info item as a
 * JSON object:
 *
 * <ul>
 * <li>
 * <code>assetEntryId</code>: The entryId of the selected asset entry
 * </li>
 * <li>
 * <code>assetType</code>: The type of the selected asset entry
 * </li>
 * <li>
 * <code>className</code>: The class name of the selected asset entry
 * </li>
 * <li>
 * <code>classNameId</code>: The class name ID of the selected asset entry
 * </li>
 * <li>
 * <code>classPK</code>: The class pk of the selected asset entry
 * </li>
 * <li>
 * <code>groupDescriptiveName</code>: The group name of the selected asset entry
 * </li>
 * <li>
 * <code>title</code>: The title of the selected asset entry
 * </li>
 * </ul>
 *
 * @author Adolfo Pérez
 * @review
 */
public class AssetEntryItemSelectorReturnType
	implements ItemSelectorReturnType {
}