/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.item.selector.criteria;

import com.liferay.item.selector.ItemSelectorReturnType;

/**
 * This return type should return the following information of a file entry as a
 * JSON object:
 *
 * <ul>
 * <li>
 * <code>folderId</code>: The ID of the selected folder
 * </li>
 * <li>
 * <code>groupId</code>: The group ID of the selected folder
 * </li>
 * <li>
 * <code>name</code>: The name of the selected folder
 * </li>
 * <li>
 * <code>repositoryId</code>: The repository ID of the selected folder
 * </li>
 * </ul>
 *
 * @author Adolfo Pérez
 * @review
 */
public class FolderItemSelectorReturnType implements ItemSelectorReturnType {
}