/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.item.selector.criteria.folder.criterion;

import com.liferay.item.selector.BaseItemSelectorCriterion;

/**
 * @author Adolfo Pérez
 */
public class FolderItemSelectorCriterion extends BaseItemSelectorCriterion {

	public long getFolderId() {
		return _folderId;
	}

	public long getRepositoryId() {
		return _repositoryId;
	}

	public long getSelectedFolderId() {
		return _selectedFolderId;
	}

	public long getSelectedRepositoryId() {
		return _selectedRepositoryId;
	}

	public boolean isIgnoreRootFolder() {
		return _ignoreRootFolder;
	}

	public boolean isShowGroupSelector() {
		return _showGroupSelector;
	}

	public boolean isShowMountFolder() {
		return _showMountFolder;
	}

	public void setFolderId(long folderId) {
		_folderId = folderId;
	}

	public void setIgnoreRootFolder(boolean ignoreRootFolder) {
		_ignoreRootFolder = ignoreRootFolder;
	}

	public void setRepositoryId(long repositoryId) {
		_repositoryId = repositoryId;
	}

	public void setSelectedFolderId(long selectedFolderId) {
		_selectedFolderId = selectedFolderId;
	}

	public void setSelectedRepositoryId(long selectedRepositoryId) {
		_selectedRepositoryId = selectedRepositoryId;
	}

	public void setShowGroupSelector(boolean showGroupSelector) {
		_showGroupSelector = showGroupSelector;
	}

	public void setShowMountFolder(boolean showMountFolder) {
		_showMountFolder = showMountFolder;
	}

	private long _folderId;
	private boolean _ignoreRootFolder;
	private long _repositoryId;
	private long _selectedFolderId;
	private long _selectedRepositoryId;
	private boolean _showGroupSelector;
	private boolean _showMountFolder;

}