/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.item.selector.criteria.group.criterion;

import com.liferay.item.selector.BaseItemSelectorCriterion;

/**
 * @author Adolfo Pérez
 */
public class GroupItemSelectorCriterion extends BaseItemSelectorCriterion {

	public GroupItemSelectorCriterion() {
	}

	public GroupItemSelectorCriterion(boolean privateLayout) {
		_privateLayout = privateLayout;
	}

	public String getPortletId() {
		return _portletId;
	}

	public String getTarget() {
		return _target;
	}

	public boolean isAllowNavigation() {
		return _allowNavigation;
	}

	public boolean isIncludeAllVisibleGroups() {
		return _includeAllVisibleGroups;
	}

	public boolean isIncludeChildSites() {
		return _includeChildSites;
	}

	public boolean isIncludeFormsSite() {
		return _includeFormsSite;
	}

	public boolean isIncludeLayoutScopes() {
		return _includeLayoutScopes;
	}

	public boolean isIncludeMySites() {
		return _includeMySites;
	}

	public boolean isIncludeParentSites() {
		return _includeParentSites;
	}

	public boolean isIncludeRecentSites() {
		return _includeRecentSites;
	}

	public boolean isIncludeSitesThatIAdminister() {
		return _includeSitesThatIAdminister;
	}

	public boolean isIncludeUserPersonalSite() {
		return _includeUserPersonalSite;
	}

	public boolean isPrivateLayout() {
		return _privateLayout;
	}

	public void setAllowNavigation(boolean allowNavigation) {
		_allowNavigation = allowNavigation;
	}

	public void setIncludeAllVisibleGroups(boolean includeAllVisibleGroups) {
		_includeAllVisibleGroups = includeAllVisibleGroups;
	}

	public void setIncludeChildSites(boolean includeChildSites) {
		_includeChildSites = includeChildSites;
	}

	public void setIncludeFormsSite(boolean includeFormsSite) {
		_includeFormsSite = includeFormsSite;
	}

	public void setIncludeLayoutScopes(boolean includeLayoutScopes) {
		_includeLayoutScopes = includeLayoutScopes;
	}

	public void setIncludeMySites(boolean includeMySites) {
		_includeMySites = includeMySites;
	}

	public void setIncludeParentSites(boolean includeParentSites) {
		_includeParentSites = includeParentSites;
	}

	public void setIncludeRecentSites(boolean includeRecentSites) {
		_includeRecentSites = includeRecentSites;
	}

	public void setIncludeSitesThatIAdminister(
		boolean includeSitesThatIAdminister) {

		_includeSitesThatIAdminister = includeSitesThatIAdminister;
	}

	public void setIncludeUserPersonalSite(boolean includeUserPersonalSite) {
		_includeUserPersonalSite = includeUserPersonalSite;
	}

	public void setPortletId(String portletId) {
		_portletId = portletId;
	}

	public void setPrivateLayout(boolean privateLayout) {
		_privateLayout = privateLayout;
	}

	public void setTarget(String target) {
		_target = target;
	}

	private boolean _allowNavigation = true;
	private boolean _includeAllVisibleGroups;
	private boolean _includeChildSites;
	private boolean _includeFormsSite;
	private boolean _includeLayoutScopes;
	private boolean _includeMySites = true;
	private boolean _includeParentSites;
	private boolean _includeRecentSites = true;
	private boolean _includeSitesThatIAdminister;
	private boolean _includeUserPersonalSite;
	private String _portletId;
	private boolean _privateLayout;
	private String _target;

}